Name:           python36-s3transfer
Version:        0.2.1
Release:        1%{?dist}
Url:            https://github.com/boto/s3transfer
Summary:        An Amazon S3 Transfer Manager
License:        Apache-2.0
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/s/s3transfer/s3transfer-%{version}.tar.gz
BuildArch:	noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python36-devel
BuildRequires:  python36-setuptools
Requires:	python36

%description
S3transfer is a Python library for managing Amazon S3 transfers.

%prep
%setup -q -n s3transfer-%{version}

%build
python3.6 setup.py build

%install
python3.6 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{python3_sitelib}/*

%changelog
* Fri Aug 2 2019 John Simpson <jms1@voalte.com> - 0.2.1-1
- updated to version 0.2.1
- updated for python 3.6
